%define git .git6130e37
Name:           vidstab
Version:        0.96
Release:        1%{?git}%{?dist}
Summary:        Transcode video stabilization plugin

Group:          System Environment/Libraries
License:        GPL

URL:            http://public.hronopik.de/vid.stab
# git clone https://github.com/georgmartius/vid.stab.git vidstab-0.96
# tar acvf vidstab-0.96.tar.xz vidstab-0.96 --exclude=.git
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
#Requires:       

%description
Imagine you captured a nice video with your camcorder, compact camera or even cell phone while skiing, cycling or whatever sports and the video is basically just jiggled. Modern cameras come along with hardware stabilisation, however this does not work if you have really strong vibrations - rather the contrary sometimes this mechanisms start to oscillate. Vid.Stab is your friend in this matter. It is integrated in transcode and possibly soon in ffmpeg and kdenlive. It is designed to stabilize even strongly jiggled clips.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
sed -i -e 's|LIBRARY DESTINATION lib|LIBRARY DESTINATION %{_lib}|g' \
	-e 's|ARCHIVE DESTINATION lib|ARCHIVE DESTINATION %{_lib}|g' CMakeLists.txt
sed -i -e 's|lib/pkgconfig|%{_lib}/pkgconfig|g' CMakeModules/create_pkgconfig_file.cmake

%build
#configure --disable-static
cmake . \
	-DCMAKE_INSTALL_PREFIX="%{_prefix}"
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc Changelog Install LICENSE README Todo
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/vid.stab/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Dec  5 2013 momo-i <webmaster@momo-i.org> - 0.96-1
- Initial rpm release.
